ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Core.Opt.CallerCC

Description

Adds cost-centers to call sites selected with the `-fprof-caller=...` flag.

# Documentation

addCallerCostCentres :: ModGuts -> CoreM ModGuts Source #

data CallerCcFilter Source #

Constructors

CallerCcFilter |

Fields

- ccfModuleName :: Maybe ModuleName
- ccfFuncName :: NamePattern

#### Instances

Instances details

Binary CallerCcFilter Source # |
Instance details Defined in GHC.Core.Opt.CallerCC Methods put_ :: BinHandle -> CallerCcFilter -> IO () Source # put :: BinHandle -> CallerCcFilter -> IO (Bin CallerCcFilter) Source # get :: BinHandle -> IO CallerCcFilter Source #
Outputable CallerCcFilter Source # |
Instance details Defined in GHC.Core.Opt.CallerCC Methods ppr :: CallerCcFilter -> SDoc Source #

data NamePattern Source #

Constructors

PChar Char NamePattern |
PWildcard NamePattern |
PEnd |

#### Instances

Instances details

Binary NamePattern Source # |
Instance details Defined in GHC.Core.Opt.CallerCC Methods put_ :: BinHandle -> NamePattern -> IO () Source # put :: BinHandle -> NamePattern -> IO (Bin NamePattern) Source # get :: BinHandle -> IO NamePattern Source #
Outputable NamePattern Source # |
Instance details Defined in GHC.Core.Opt.CallerCC Methods ppr :: NamePattern -> SDoc Source #

parseCallerCcFilter :: String -> Either String CallerCcFilter Source #